/**
 * Authentication Styles
 * 
 * Custom styles for authentication pages.
 */

.auth-page {
    background-color: #f8f9fa;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
}

[data-bs-theme="dark"] .auth-page {
    background-color: #212529;
}

.auth-container {
    width: 100%;
    max-width: 400px;
    padding: 15px;
}

.auth-box {
    background-color: #fff;
    border-radius: 5px;
    box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15);
    padding: 2rem;
}

[data-bs-theme="dark"] .auth-box {
    background-color: #343a40;
    box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.5);
}

.auth-box h3 {
    margin-bottom: 1.5rem;
}

.auth-box .form-control {
    padding-left: 15px;
}

.auth-box .input-group-text {
    background-color: transparent;
    border-right: none;
}

.auth-box .form-control {
    border-left: none;
}

.auth-box .btn-primary {
    width: 100%;
}

/* Authentication Logo Styles */
.auth-logo-container {
    margin-bottom: 1rem;
}

.auth-logo {
    height: auto;
    width: 90%;
    max-width: 200px;
    transition: opacity 0.3s ease;
}

.logintext {
    font-size: 1.4rem;
    font-weight: bold;
}


/* Show light logo by default, hide dark logo */
.light-theme-logo {
    display: inline-block;
}

.dark-theme-logo {
    display: none;
}

/* In dark theme, show dark logo and hide light logo */
[data-bs-theme="dark"] .light-theme-logo {
    display: none;
}

[data-bs-theme="dark"] .dark-theme-logo {
    display: inline-block;
}
